### Method

# Gimp Procedure set_attribution

unstable since: 3.0

#### Declaration [src]

    void
    gimp_procedure_set_attribution (
      GimpProcedure* procedure,
      const gchar* authors,
      const gchar* copyright,
      const gchar* date
    )

#### Description [src]

Sets various attribution strings on `procedure`.

Available since: 3.0

#### Parameters

`authors`

  Type: `const gchar*`

  The `procedure`‘s author(s).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`copyright`

  Type: `const gchar*`

  The `procedure`‘s copyright.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`date`

  Type: `const gchar*`

  The `procedure`‘s date (written or published).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.